Extract popup interaction from the transition class so it can be performed outside of a view controller transition
Closed, ResolvedPublic5 Story Points

Description

The popup drag doesn't work well as a transition:

  • It blocks iteration with the animated card
  • It removes the ability to both affect the animation curve and to allow accurate tracking of drag events

Instead do this as a child / container view so that we have full control of the animation.

Also add "push back" animation to content that is being covered up

Fjalapeno updated the task description. (Show Details)
Fjalapeno raised the priority of this task from to Needs Triage.
Fjalapeno moved this task to Needs Estimation on the Wikipedia-iOS-App-Backlog board.
Fjalapeno added a subscriber: Fjalapeno.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 17 2015, 3:59 PM
MBinder_WMF set Security to None.Jul 31 2015, 7:13 PM
MBinder_WMF edited a custom field.
Fjalapeno updated the task description. (Show Details)Aug 27 2015, 10:04 PM
MBinder_WMF closed this task as Resolved.Oct 7 2015, 10:07 PM